package ro.ieval.unical;

import android.app.ActionBar;
import android.app.ActionBar.Tab;
import android.app.Fragment;
import android.app.FragmentTransaction;
import android.widget.EditText;
import android.widget.TextView;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;

public class AddEventTabListener implements ActionBar.TabListener {
	private Fragment fragment;
    private Event ev;
	private boolean isAdded = false;
    private int tabId;

	public AddEventTabListener(final Fragment fragment,Event e,int tabId) {
		this.fragment = fragment;
        this.ev = e;
        this.tabId=tabId;
	}

	@Override
	public void onTabSelected(final Tab tab, final FragmentTransaction ft) {
		if(isAdded)
			ft.attach(fragment);
		else {
			isAdded = true;
			ft.add(android.R.id.content, fragment);
		}
	}

	@Override
	public void onTabUnselected(final Tab tab, final FragmentTransaction ft) {
        switch (tabId) {
            case 0:
                ev.title=fragment.getView().findViewById(R.id.eventtitle).toString();
                String start=fragment.getView().findViewById(R.id.date_start).toString()+ " " +
                             fragment.getView().findViewById(R.id.time_start).toString();
                String end=fragment.getView().findViewById(R.id.date_end).toString()+ " " +
                             fragment.getView().findViewById(R.id.time_end).toString();
                try {
                    Date s=new SimpleDateFormat("yyyy-MM-dd HH:mm").parse(start);
                    Date e=new SimpleDateFormat("yyyy-MM-dd HH:mm").parse(end);
                    ev.dtstart=s.getTime();
                    ev.dtend=s.getTime();
                } catch (ParseException e) {
                    e.printStackTrace();
                }

                break;
            case 1:
                ev.description=fragment.getView().findViewById(R.id.description).toString();
                break;
            case 2:
                break;
        }
		ft.detach(fragment);
	}

	@Override
	public void onTabReselected(final Tab tab, final FragmentTransaction ft) {
		// do nothing
	}
}
